Subject: "guix pull" fails on Trisquel

From: Caleb Herbert <[email-masked]>
Date: Tue, 30 Apr 2024 14:08:31 -0500

Hi Guix,

Should the docs recommend against using packaged versions of Guix on 
foreign distros?

I installed Guix with the Trisquel package.  When I ran "guix pull", it 
failed and told me to post the output here.  I've attached the 
transcript of my terminal session with "guix pull" on Trisquel.

I tried doing "apt purge guix" and installing Guix using the installer 
script, but the script "detected" an already-existing Guix installation. 
  I guess "apt purge" didn't really "purge" enough.

I'm now unable to install Guix in a way that will let me pull.

-- 
Caleb S. Herbert
https://bluehome.net/csh/